diff --git a/Source/App/EncApp/EbAppConfig.c b/Source/App/EncApp/EbAppConfig.c
index 41882af223..817bee80c8 100644
--- a/Source/App/EncApp/EbAppConfig.c
+++ b/Source/App/EncApp/EbAppConfig.c
@@ -61,8 +61,6 @@
 #define LEVEL_TOKEN                     "-level"
 #define LATENCY_MODE                    "-latency-mode" // no Eval
 #define FILM_GRAIN_TOKEN                "-film-grain"
-#define INTERLACED_VIDEO_TOKEN          "-interlaced-video"
-#define SEPERATE_FILDS_TOKEN            "-separate-fields"
 #define INTRA_REFRESH_TYPE_TOKEN        "-irefresh-type" // no Eval
 #define LOOP_FILTER_DISABLE_TOKEN       "-dlf"
 #define LOCAL_WARPED_ENABLE_TOKEN       "-local-warp"
@@ -76,7 +74,6 @@
 #define HME_L1_ENABLE_TOKEN             "-hme-l1"
 #define HME_L2_ENABLE_TOKEN             "-hme-l2"
 #define EXT_BLOCK                       "-ext-block"
-#define IN_LOOP_ME                      "-in-loop-me"
 #define SEARCH_AREA_WIDTH_TOKEN         "-search-w"
 #define SEARCH_AREA_HEIGHT_TOKEN        "-search-h"
 #define NUM_HME_SEARCH_WIDTH_TOKEN      "-num-hme-w"
@@ -219,11 +216,9 @@ static void SetCfgStatFile(const char *value, EbConfig *cfg)
 };
 static void SetStatReport                       (const char *value, EbConfig *cfg) {cfg->stat_report = (uint8_t) strtoul(value, NULL, 0);};
 static void SetCfgSourceWidth                   (const char *value, EbConfig *cfg) {cfg->source_width = strtoul(value, NULL, 0);};
-static void SetInterlacedVideo                  (const char *value, EbConfig *cfg) {cfg->interlaced_video  = (EbBool) strtoul(value, NULL, 0);};
-static void SetSeperateFields                   (const char *value, EbConfig *cfg) {cfg->separate_fields = (EbBool) strtoul(value, NULL, 0);};
-static void SetCfgSourceHeight                  (const char *value, EbConfig *cfg) {cfg->source_height = strtoul(value, NULL, 0) >> cfg->separate_fields;};
-static void SetCfgFramesToBeEncoded             (const char *value, EbConfig *cfg) {cfg->frames_to_be_encoded = strtol(value,  NULL, 0) << cfg->separate_fields;};
-static void SetBufferedInput                    (const char *value, EbConfig *cfg) {cfg->buffered_input = (strtol(value, NULL, 0) != -1 && cfg->separate_fields) ? strtol(value, NULL, 0) << cfg->separate_fields : strtol(value, NULL, 0);};
+static void SetCfgSourceHeight                  (const char *value, EbConfig *cfg) { cfg->source_height = strtoul(value, NULL, 0); };
+static void SetCfgFramesToBeEncoded             (const char *value, EbConfig *cfg) { cfg->frames_to_be_encoded = strtol(value, NULL, 0); };
+static void SetBufferedInput                    (const char *value, EbConfig *cfg) {cfg->buffered_input = strtol(value, NULL, 0);};
 static void SetFrameRate                        (const char *value, EbConfig *cfg) {
     cfg->frame_rate = strtoul(value, NULL, 0);
     if (cfg->frame_rate > 1000 )
@@ -275,7 +270,6 @@ static void SetCfgHmeLevel0TotalSearchAreaWidth (const char *value, EbConfig *cf
 static void SetCfgHmeLevel0TotalSearchAreaHeight(const char *value, EbConfig *cfg) {cfg->hme_level0_total_search_area_height = strtoul(value, NULL, 0);};
 static void SetCfgUseDefaultMeHme               (const char *value, EbConfig *cfg) {cfg->use_default_me_hme = (EbBool)strtol(value, NULL, 0); };
 static void SetEnableExtBlockFlag(const char *value, EbConfig *cfg) { cfg->ext_block_flag = (EbBool)strtoul(value, NULL, 0); };
-static void SetEnableInLoopMeFlag(const char *value, EbConfig *cfg) { cfg->in_loop_me_flag = (EbBool)strtoul(value, NULL, 0); };
 static void SetHmeLevel0SearchAreaInWidthArray  (const char *value, EbConfig *cfg) {cfg->hme_level0_search_area_in_width_array[cfg->hme_level0_column_index++] = strtoul(value, NULL, 0);};
 static void SetHmeLevel0SearchAreaInHeightArray (const char *value, EbConfig *cfg) {cfg->hme_level0_search_area_in_height_array[cfg->hme_level0_row_index++] = strtoul(value, NULL, 0);};
 static void SetHmeLevel1SearchAreaInWidthArray  (const char *value, EbConfig *cfg) {cfg->hme_level1_search_area_in_width_array[cfg->hme_level1_column_index++] = strtoul(value, NULL, 0);};
@@ -405,10 +399,6 @@ config_entry_t config_entry[] = {
     { SINGLE_INPUT, INPUT_STAT_FILE_TOKEN, "input_stat_file", set_input_stat_file },
     { SINGLE_INPUT, OUTPUT_STAT_FILE_TOKEN, "output_stat_file", set_output_stat_file },
 #endif
-
-    // Interlaced Video
-    { SINGLE_INPUT, INTERLACED_VIDEO_TOKEN , "InterlacedVideo" , SetInterlacedVideo },
-    { SINGLE_INPUT, SEPERATE_FILDS_TOKEN, "SeperateFields", SetSeperateFields },
     // Picture Dimensions
     { SINGLE_INPUT, WIDTH_TOKEN, "SourceWidth", SetCfgSourceWidth },
     { SINGLE_INPUT, HEIGHT_TOKEN, "SourceHeight", SetCfgSourceHeight },
@@ -463,7 +453,6 @@ config_entry_t config_entry[] = {
     { SINGLE_INPUT, HME_L1_ENABLE_TOKEN, "HMELevel1", SetEnableHmeLevel1Flag },
     { SINGLE_INPUT, HME_L2_ENABLE_TOKEN, "HMELevel2", SetEnableHmeLevel2Flag },
     { SINGLE_INPUT, EXT_BLOCK, "ExtBlockFlag", SetEnableExtBlockFlag },
-    { SINGLE_INPUT, IN_LOOP_ME, "InLoopMeFlag", SetEnableInLoopMeFlag },
     // ME Parameters
     { SINGLE_INPUT, SEARCH_AREA_WIDTH_TOKEN, "SearchAreaWidth", SetCfgSearchAreaWidth },
     { SINGLE_INPUT, SEARCH_AREA_HEIGHT_TOKEN, "SearchAreaHeight", SetCfgSearchAreaHeight },
@@ -556,7 +545,6 @@ void eb_config_ctor(EbConfig *config_ptr)
     config_ptr->enable_obmc                          = EB_TRUE;
     config_ptr->enable_rdoq                          = -1;
     config_ptr->enable_filter_intra                  = EB_TRUE;
-    config_ptr->in_loop_me_flag                      = EB_TRUE;
     config_ptr->use_default_me_hme                   = EB_TRUE;
     config_ptr->enable_hme_flag                        = EB_TRUE;
     config_ptr->enable_hme_level0_flag                  = EB_TRUE;
@@ -894,16 +882,6 @@ static EbErrorType VerifySettings(EbConfig *config, uint32_t channelNumber)
         fprintf(config->error_log_file, "Error instance %u: Could not find QP file, UseQpFile is set to 1\n", channelNumber + 1);
         return_error = EB_ErrorBadParameter;
     }
-    if (config->separate_fields > 1) {
-        fprintf(config->error_log_file, "Error Instance %u: Invalid SeperateFields Input\n", channelNumber + 1);
-        return_error = EB_ErrorBadParameter;
-    }
-
-    if (config->encoder_bit_depth == 10 && config->separate_fields == 1)
-    {
-        fprintf(config->error_log_file, "Error instance %u: Separate fields is not supported for 10 bit input \n", channelNumber + 1);
-        return_error = EB_ErrorBadParameter;
-    }
 
     if (config->encoder_color_format != 1) {
         fprintf(config->error_log_file, "Error instance %u: Only support 420 now \n", channelNumber + 1);
diff --git a/Source/App/EncApp/EbAppConfig.h b/Source/App/EncApp/EbAppConfig.h
index e6b7605392..fc3210964a 100644
--- a/Source/App/EncApp/EbAppConfig.h
+++ b/Source/App/EncApp/EbAppConfig.h
@@ -208,12 +208,6 @@ typedef struct EbConfig
 
     uint8_t                  latency_mode;
 
-    /****************************************
-     * // Interlaced Video
-     ****************************************/
-    EbBool                  interlaced_video;
-    EbBool                  separate_fields;
-
     /*****************************************
      * Coding Structure
      *****************************************/
@@ -275,7 +269,6 @@ typedef struct EbConfig
     EbBool                  enable_hme_level1_flag;
     EbBool                  enable_hme_level2_flag;
     EbBool                  ext_block_flag;
-    EbBool                  in_loop_me_flag;
 
     /****************************************
      * ME Parameters
diff --git a/Source/App/EncApp/EbAppContext.c b/Source/App/EncApp/EbAppContext.c
index f5ccfe6b49..f352e4b20f 100644
--- a/Source/App/EncApp/EbAppContext.c
+++ b/Source/App/EncApp/EbAppContext.c
@@ -168,7 +168,6 @@ EbErrorType CopyConfigurationParameters(
     callback_data->eb_enc_parameters.frame_rate_numerator = config->frame_rate_numerator;
     callback_data->eb_enc_parameters.hierarchical_levels = config->hierarchical_levels;
     callback_data->eb_enc_parameters.pred_structure = (uint8_t)config->pred_structure;
-    callback_data->eb_enc_parameters.in_loop_me_flag = config->in_loop_me_flag;
     callback_data->eb_enc_parameters.ext_block_flag = config->ext_block_flag;
     callback_data->eb_enc_parameters.tile_rows = config->tile_rows;
     callback_data->eb_enc_parameters.tile_columns = config->tile_columns;
@@ -433,124 +432,6 @@ EbErrorType PreloadFramesIntoRam(
 
     for (processed_frame_count = 0; processed_frame_count < config->buffered_input; ++processed_frame_count) {
         EB_APP_MALLOC(uint8_t*, config->sequence_buffer[processed_frame_count], readSize, EB_N_PTR, EB_ErrorInsufficientResources);
-        // Interlaced Video
-        if (config->separate_fields) {
-            EbBool is16bit = config->encoder_bit_depth > 8;
-            if (is16bit == 0 || (is16bit == 1 && config->compressed_ten_bit_format == 0)) {
-                const int32_t tenBitPackedMode = (config->encoder_bit_depth > 8) && (config->compressed_ten_bit_format == 0) ? 1 : 0;
-
-                const size_t luma8bitSize =
-
-                    (config->input_padded_width) *
-                    (config->input_padded_height) *
-
-                    (1 << tenBitPackedMode);
-
-                const size_t chroma8bitSize = luma8bitSize >> 2;
-
-                filledLen = 0;
-
-                ProcessInputFieldBufferingMode(
-                    processed_frame_count,
-                    &filledLen,
-                    input_file,
-                    config->sequence_buffer[processed_frame_count],
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize,
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize + chroma8bitSize,
-                    (uint32_t)input_padded_width,
-                    (uint32_t)input_padded_height,
-                    is16bit);
-
-                if (readSize != filledLen) {
-                    fseek(input_file, 0, SEEK_SET);
-                    filledLen = 0;
-
-                    ProcessInputFieldBufferingMode(
-                        processed_frame_count,
-                        &filledLen,
-                        input_file,
-                        config->sequence_buffer[processed_frame_count],
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize,
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize + chroma8bitSize,
-                        (uint32_t)input_padded_width,
-                        (uint32_t)input_padded_height,
-                        is16bit);
-                }
-
-                // Reset the pointer position after a top field
-                if (processed_frame_count % 2 == 0)
-                    fseek(input_file, -(long)(readSize << 1), SEEK_CUR);
-            }
-            // Unpacked 10 bit
-            else {
-                const int32_t tenBitPackedMode = (config->encoder_bit_depth > 8) && (config->compressed_ten_bit_format == 0) ? 1 : 0;
-
-                const size_t luma8bitSize =
-                    (config->input_padded_width) *
-                    (config->input_padded_height) *
-                    (1 << tenBitPackedMode);
-
-                const size_t chroma8bitSize = luma8bitSize >> 2;
-
-                const size_t luma10bitSize = (config->encoder_bit_depth > 8 && tenBitPackedMode == 0) ? luma8bitSize : 0;
-                const size_t chroma10bitSize = (config->encoder_bit_depth > 8 && tenBitPackedMode == 0) ? chroma8bitSize : 0;
-
-                filledLen = 0;
-
-                ProcessInputFieldBufferingMode(
-                    processed_frame_count,
-                    &filledLen,
-                    input_file,
-                    config->sequence_buffer[processed_frame_count],
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize,
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize + chroma8bitSize,
-                    (uint32_t)input_padded_width,
-                    (uint32_t)input_padded_height,
-                    0);
-
-                ProcessInputFieldBufferingMode(
-                    processed_frame_count,
-                    &filledLen,
-                    input_file,
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize + (chroma8bitSize << 1),
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize + (chroma8bitSize << 1) + luma10bitSize,
-                    config->sequence_buffer[processed_frame_count] + luma8bitSize + (chroma8bitSize << 1) + luma10bitSize + chroma10bitSize,
-                    (uint32_t)input_padded_width,
-                    (uint32_t)input_padded_height,
-                    0);
-
-                if (readSize != filledLen) {
-                    fseek(input_file, 0, SEEK_SET);
-                    filledLen = 0;
-
-                    ProcessInputFieldBufferingMode(
-                        processed_frame_count,
-                        &filledLen,
-                        input_file,
-                        config->sequence_buffer[processed_frame_count],
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize,
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize + chroma8bitSize,
-                        (uint32_t)input_padded_width,
-                        (uint32_t)input_padded_height,
-                        0);
-
-                    ProcessInputFieldBufferingMode(
-                        processed_frame_count,
-                        &filledLen,
-                        input_file,
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize + (chroma8bitSize << 1),
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize + (chroma8bitSize << 1) + luma10bitSize,
-                        config->sequence_buffer[processed_frame_count] + luma8bitSize + (chroma8bitSize << 1) + luma10bitSize + chroma10bitSize,
-                        (uint32_t)input_padded_width,
-                        (uint32_t)input_padded_height,
-                        0);
-                }
-
-                // Reset the pointer position after a top field
-                if (processed_frame_count % 2 == 0)
-                    fseek(input_file, -(long)(readSize << 1), SEEK_CUR);
-            }
-        } else {
             // Fill the buffer with a complete frame
             filledLen = 0;
             filledLen += (uint32_t)fread(config->sequence_buffer[processed_frame_count], 1, readSize, input_file);
@@ -562,7 +443,6 @@ EbErrorType PreloadFramesIntoRam(
                 filledLen = 0;
                 filledLen += (uint32_t)fread(config->sequence_buffer[processed_frame_count], 1, readSize, input_file);
             }
-        }
     }
 
     return return_error;
diff --git a/Source/App/EncApp/EbAppInputy4m.c b/Source/App/EncApp/EbAppInputy4m.c
index 0fc23819a8..12784efeff 100644
--- a/Source/App/EncApp/EbAppInputy4m.c
+++ b/Source/App/EncApp/EbAppInputy4m.c
@@ -33,7 +33,6 @@ int32_t read_y4m_header(EbConfig *cfg){
     uint32_t bitdepth = 8, width = 0, height = 0, fr_n = 0,
         fr_d = 0, aspect_n, aspect_d;
     char chroma[CHROMA_MAX] = "420", scan_type = 'p';
-    EbBool interlaced = EB_TRUE;
 
     /* pointer to the input file */
     ptr_in = cfg->input_file;
@@ -74,15 +73,12 @@ int32_t read_y4m_header(EbConfig *cfg){
         case 'I': /* scan type, not required, default: 'p' */
             switch (*tokstart++) {
             case 'p':
-                interlaced = EB_FALSE;
                 scan_type = 'p';
                 break;
             case 't':
-                interlaced = EB_TRUE;
                 scan_type = 't';
                 break;
             case 'b':
-                interlaced = EB_TRUE;
                 scan_type = 'b';
                 break;
             case '?':
@@ -240,7 +236,6 @@ int32_t read_y4m_header(EbConfig *cfg){
     cfg->frame_rate_denominator = fr_d;
     cfg->frame_rate = fr_n/fr_d;
     cfg->encoder_bit_depth = bitdepth;
-    cfg->interlaced_video = interlaced;
     /* TODO: when implemented, need to set input bit depth
         (instead of the encoder bit depth) and chroma format */
 
diff --git a/Source/App/EncApp/EbAppMain.c b/Source/App/EncApp/EbAppMain.c
index 78aed37a60..b94bc2927b 100644
--- a/Source/App/EncApp/EbAppMain.c
+++ b/Source/App/EncApp/EbAppMain.c
@@ -248,14 +248,8 @@ int32_t main(int32_t argc, char* argv[])
                             if (configs[instanceCount]->stat_report) {
                                 if (configs[instanceCount]->stat_file) {
                                     fprintf(configs[instanceCount]->stat_file, "\nSUMMARY ---------------------------------------------------------------------\n");
-
-                                    // Interlaced Video
-                                    if (configs[instanceCount]->interlaced_video || configs[instanceCount]->separate_fields)
-                                        fprintf(configs[instanceCount]->stat_file, "Total Fields\tAverage QP  \tY-PSNR   \tU-PSNR   \tV-PSNR   \tBitrate\n");
-                                    else {
                                         fprintf(configs[instanceCount]->stat_file, "\n\t\t\t\t\t\t\tAverage PSNR (using per-frame PSNR)\t\t|\tOverall PSNR (using per-frame MSE)\n");
                                         fprintf(configs[instanceCount]->stat_file, "Total Frames\tAverage QP  \tY-PSNR   \tU-PSNR   \tV-PSNR\t\t| \tY-PSNR   \tU-PSNR   \tV-PSNR   \t|\tBitrate\n");
-                                    }
                                     fprintf(configs[instanceCount]->stat_file, "%10ld  \t   %2.2f    \t%3.2f dB\t%3.2f dB\t%3.2f dB  \t|\t%3.2f dB\t%3.2f dB\t%3.2f dB \t|\t%.2f kbps\n",
                                          (long int)frame_count,
                                          (float)configs[instanceCount]->performance_context.sum_qp        / frame_count,
@@ -271,10 +265,7 @@ int32_t main(int32_t argc, char* argv[])
 
                             printf("\nSUMMARY --------------------------------- Channel %u  --------------------------------\n", instanceCount + 1);
                             {
-                                if (configs[instanceCount]->interlaced_video || configs[instanceCount]->separate_fields)
-                                    printf("Total Fields\t\tFrame Rate\t\tByte Count\t\tBitrate\n");
-                                else
-                                    printf("Total Frames\t\tFrame Rate\t\tByte Count\t\tBitrate\n");
+                                printf("Total Frames\t\tFrame Rate\t\tByte Count\t\tBitrate\n");
                                 printf("%12d\t\t%4.2f fps\t\t%10.0f\t\t%5.2f kbps\n",
                                     (int32_t)frame_count,
                                     (double)frame_rate,
@@ -305,17 +296,6 @@ int32_t main(int32_t argc, char* argv[])
             for (instanceCount = 0; instanceCount < num_channels; ++instanceCount) {
                 if (exitConditions[instanceCount] == APP_ExitConditionFinished && return_errors[instanceCount] == EB_ErrorNone) {
                     if (configs[instanceCount]->stop_encoder == EB_FALSE) {
-                        // Interlaced Video
-                        if (configs[instanceCount]->interlaced_video || configs[instanceCount]->separate_fields) {
-                            printf("\nChannel %u\nAverage Speed:\t\t%.0f fields per sec\nTotal Encoding Time:\t\t%.0f ms\nTotal Execution Time:\t\t%.2f ms\nAverage Latency:\t%.0f ms\nMax Latency:\t\t%u ms\n",
-                                (uint32_t)(instanceCount + 1),
-                                configs[instanceCount]->performance_context.average_speed,
-                                configs[instanceCount]->performance_context.total_encode_time * 1000,
-                                configs[instanceCount]->performance_context.total_execution_time * 1000,
-                                configs[instanceCount]->performance_context.average_latency,
-                                (uint32_t)(configs[instanceCount]->performance_context.max_latency));
-                        }
-                        else {
                             printf("\nChannel %u\nAverage Speed:\t\t%.3f fps\nTotal Encoding Time:\t%.0f ms\nTotal Execution Time:\t%.0f ms\nAverage Latency:\t%.0f ms\nMax Latency:\t\t%u ms\n",
                                 (uint32_t)(instanceCount + 1),
                                 configs[instanceCount]->performance_context.average_speed,
@@ -323,7 +303,6 @@ int32_t main(int32_t argc, char* argv[])
                                 configs[instanceCount]->performance_context.total_execution_time * 1000,
                                 configs[instanceCount]->performance_context.average_latency,
                                 (uint32_t)(configs[instanceCount]->performance_context.max_latency));
-                        }
                     }
                     else
                         printf("\nChannel %u Encoding Interrupted\n", (uint32_t)(instanceCount + 1));
diff --git a/Source/App/EncApp/EbAppProcessCmd.c b/Source/App/EncApp/EbAppProcessCmd.c
index 5b364493cf..a28529a925 100644
--- a/Source/App/EncApp/EbAppProcessCmd.c
+++ b/Source/App/EncApp/EbAppProcessCmd.c
@@ -755,37 +755,6 @@ void ReadInputFrames(
             readSize = (uint64_t)SIZE_OF_ONE_FRAME_IN_BYTES(input_padded_width, input_padded_height, color_format, is16bit);
 
             headerPtr->n_filled_len = 0;
-
-            // Interlaced Video
-            if (config->separate_fields) {
-                ProcessInputFieldStandardMode(
-                    config,
-                    headerPtr,
-                    input_file,
-                    inputPtr->luma,
-                    inputPtr->cb,
-                    inputPtr->cr,
-                    is16bit);
-
-                if (readSize != headerPtr->n_filled_len) {
-                    fseek(input_file, 0, SEEK_SET);
-                    headerPtr->n_filled_len = 0;
-
-                    ProcessInputFieldStandardMode(
-                        config,
-                        headerPtr,
-                        input_file,
-                        inputPtr->luma,
-                        inputPtr->cb,
-                        inputPtr->cr,
-                        is16bit);
-                }
-
-                // Reset the pointer position after a top field
-                if (config->processed_frame_count % 2 == 0)
-                    fseek(input_file, -(long)(readSize << 1), SEEK_CUR);
-            }
-            else {
                 /* if input is a y4m file, read next line which contains "FRAME" */
                 if(config->y4m_input==EB_TRUE)
                     read_y4m_frame_delimiter(config);
@@ -809,7 +778,6 @@ void ReadInputFrames(
                     headerPtr->n_filled_len += (uint32_t)fread(inputPtr->cb, 1, lumaReadSize >> (3 - color_format), input_file);
                     headerPtr->n_filled_len += (uint32_t)fread(inputPtr->cr, 1, lumaReadSize >> (3 - color_format), input_file);
                 }
-            }
         } else  {
             assert(is16bit == 1 && config->compressed_ten_bit_format == 1);
             // 10-bit Compressed Unpacked Mode
diff --git a/Source/Lib/Common/Codec/EbModeDecisionProcess.h b/Source/Lib/Common/Codec/EbModeDecisionProcess.h
index b9062e73df..b6968456be 100644
--- a/Source/Lib/Common/Codec/EbModeDecisionProcess.h
+++ b/Source/Lib/Common/Codec/EbModeDecisionProcess.h
@@ -250,8 +250,6 @@ extern "C" {
         uint8_t                         parent_sq_pred_mode[MAX_PARENT_SQ];
         uint8_t                         chroma_level;
         PART                            nsq_table[NSQ_TAB_SIZE];
-        uint8_t                         decoupled_fast_loop_search_method;
-        uint8_t                         decouple_intra_inter_fast_loop;
         uint8_t                         full_loop_escape;
         uint8_t                         global_mv_injection;
         uint8_t                         nx4_4xn_parent_mv_injection;
diff --git a/Source/Lib/Common/Codec/EbPictureAnalysisProcess.c b/Source/Lib/Common/Codec/EbPictureAnalysisProcess.c
index b442dc4990..70a32bb750 100644
--- a/Source/Lib/Common/Codec/EbPictureAnalysisProcess.c
+++ b/Source/Lib/Common/Codec/EbPictureAnalysisProcess.c
@@ -3280,7 +3280,7 @@ EbErrorType QuarterSampleDenoise(
     if (denoise_flag == EB_TRUE) {
         // Turn OFF the de-noiser for Class 2 at QP=29 and lower (for Fixed_QP) and at the target rate of 14Mbps and higher (for RC=ON)
         if ((picture_control_set_ptr->pic_noise_class == PIC_NOISE_CLASS_3_1) ||
-            ((picture_control_set_ptr->pic_noise_class == PIC_NOISE_CLASS_2) && ((sequence_control_set_ptr->static_config.rate_control_mode == 0 && sequence_control_set_ptr->qp > DENOISER_QP_TH) || (sequence_control_set_ptr->static_config.rate_control_mode != 0 && sequence_control_set_ptr->static_config.target_bit_rate < DENOISER_BITRATE_TH)))) {
+            ((picture_control_set_ptr->pic_noise_class == PIC_NOISE_CLASS_2) && ((sequence_control_set_ptr->static_config.rate_control_mode == 0 && sequence_control_set_ptr->static_config.qp > DENOISER_QP_TH) || (sequence_control_set_ptr->static_config.rate_control_mode != 0 && sequence_control_set_ptr->static_config.target_bit_rate < DENOISER_BITRATE_TH)))) {
             SubSampleFilterNoise(
                 sequence_control_set_ptr,
                 picture_control_set_ptr,
@@ -3337,7 +3337,7 @@ EbErrorType SubSampleDenoise(
     if (denoise_flag == EB_TRUE) {
         // Turn OFF the de-noiser for Class 2 at QP=29 and lower (for Fixed_QP) and at the target rate of 14Mbps and higher (for RC=ON)
         if ((picture_control_set_ptr->pic_noise_class == PIC_NOISE_CLASS_3_1) ||
-            ((picture_control_set_ptr->pic_noise_class == PIC_NOISE_CLASS_2) && ((sequence_control_set_ptr->static_config.rate_control_mode == 0 && sequence_control_set_ptr->qp > DENOISER_QP_TH) || (sequence_control_set_ptr->static_config.rate_control_mode != 0 && sequence_control_set_ptr->static_config.target_bit_rate < DENOISER_BITRATE_TH)))) {
+            ((picture_control_set_ptr->pic_noise_class == PIC_NOISE_CLASS_2) && ((sequence_control_set_ptr->static_config.rate_control_mode == 0 && sequence_control_set_ptr->static_config.qp > DENOISER_QP_TH) || (sequence_control_set_ptr->static_config.rate_control_mode != 0 && sequence_control_set_ptr->static_config.target_bit_rate < DENOISER_BITRATE_TH)))) {
             SubSampleFilterNoise(
                 sequence_control_set_ptr,
                 picture_control_set_ptr,
diff --git a/Source/Lib/Common/Codec/EbPictureControlSet.h b/Source/Lib/Common/Codec/EbPictureControlSet.h
index bc5203f671..ec39566709 100644
--- a/Source/Lib/Common/Codec/EbPictureControlSet.h
+++ b/Source/Lib/Common/Codec/EbPictureControlSet.h
@@ -14368,7 +14368,6 @@ extern "C" {
         uint8_t                            hbd_mode_decision;
         uint16_t                           film_grain_noise_level;
         EbBool                             ext_block_flag;
-        EbBool                             in_loop_me_flag;
         uint8_t                            mrp_mode;
         uint8_t                            cdf_mode;
         uint8_t                            nsq_present;
diff --git a/Source/Lib/Common/Codec/EbRateControlProcess.c b/Source/Lib/Common/Codec/EbRateControlProcess.c
index a0670505d4..2d12092369 100644
--- a/Source/Lib/Common/Codec/EbRateControlProcess.c
+++ b/Source/Lib/Common/Codec/EbRateControlProcess.c
@@ -504,12 +504,12 @@ void high_level_rc_input_picture_vbr(
             qp_search_min = (uint8_t)CLIP3(
                 sequence_control_set_ptr->static_config.min_qp_allowed,
                 MAX_REF_QP_NUM,//sequence_control_set_ptr->static_config.max_qp_allowed,
-                (uint32_t)MAX((int32_t)sequence_control_set_ptr->qp - 40, 0));
+                (uint32_t)MAX((int32_t)sequence_control_set_ptr->static_config.qp - 40, 0));
 
             qp_search_max = (uint8_t)CLIP3(
                 sequence_control_set_ptr->static_config.min_qp_allowed,
                 MAX_REF_QP_NUM,//sequence_control_set_ptr->static_config.max_qp_allowed,
-                sequence_control_set_ptr->qp + 40);
+                sequence_control_set_ptr->static_config.qp + 40);
 
             for (ref_qp_table_index = qp_search_min; ref_qp_table_index < qp_search_max; ref_qp_table_index++)
                 high_level_rate_control_ptr->pred_bits_ref_qpPerSw[ref_qp_table_index] = 0;
@@ -858,8 +858,8 @@ void frame_level_rc_input_picture_vbr(
         }
 
         if (picture_control_set_ptr->picture_number == 0) {
-            rate_control_param_ptr->intra_frames_qp = sequence_control_set_ptr->qp;
-            rate_control_param_ptr->intra_frames_qp_bef_scal = (uint8_t)sequence_control_set_ptr->qp;
+            rate_control_param_ptr->intra_frames_qp = sequence_control_set_ptr->static_config.qp;
+            rate_control_param_ptr->intra_frames_qp_bef_scal = (uint8_t)sequence_control_set_ptr->static_config.qp;
         }
 
         if (picture_control_set_ptr->picture_number == rate_control_param_ptr->first_poc) {
@@ -1814,12 +1814,12 @@ void high_level_rc_input_picture_cvbr(
             qp_search_min = (uint8_t)CLIP3(
                 sequence_control_set_ptr->static_config.min_qp_allowed,
                 MAX_REF_QP_NUM,//sequence_control_set_ptr->static_config.max_qp_allowed,
-                (uint32_t)MAX((int32_t)sequence_control_set_ptr->qp - 40, 0));
+                (uint32_t)MAX((int32_t)sequence_control_set_ptr->static_config.qp - 40, 0));
 
             qp_search_max = (uint8_t)CLIP3(
                 sequence_control_set_ptr->static_config.min_qp_allowed,
                 MAX_REF_QP_NUM,//sequence_control_set_ptr->static_config.max_qp_allowed,
-                sequence_control_set_ptr->qp + 40);
+                sequence_control_set_ptr->static_config.qp + 40);
 
             for (ref_qp_table_index = qp_search_min; ref_qp_table_index < qp_search_max; ref_qp_table_index++)
                 high_level_rate_control_ptr->pred_bits_ref_qpPerSw[ref_qp_table_index] = 0;
@@ -2160,8 +2160,8 @@ void frame_level_rc_input_picture_cvbr(
         }
 
         if (picture_control_set_ptr->picture_number == 0) {
-            rate_control_param_ptr->intra_frames_qp = sequence_control_set_ptr->qp;
-            rate_control_param_ptr->intra_frames_qp_bef_scal = (uint8_t)sequence_control_set_ptr->qp;
+            rate_control_param_ptr->intra_frames_qp = sequence_control_set_ptr->static_config.qp;
+            rate_control_param_ptr->intra_frames_qp_bef_scal = (uint8_t)sequence_control_set_ptr->static_config.qp;
         }
 
         if (picture_control_set_ptr->picture_number == rate_control_param_ptr->first_poc) {
@@ -2270,12 +2270,12 @@ void frame_level_rc_input_picture_cvbr(
         qp_search_min = (uint8_t)CLIP3(
             sequence_control_set_ptr->static_config.min_qp_allowed,
             MAX_REF_QP_NUM,//sequence_control_set_ptr->static_config.max_qp_allowed,
-            (uint32_t)MAX((int32_t)sequence_control_set_ptr->qp - 40, 0));
+            (uint32_t)MAX((int32_t)sequence_control_set_ptr->static_config.qp - 40, 0));
 
         qp_search_max = (uint8_t)CLIP3(
             sequence_control_set_ptr->static_config.min_qp_allowed,
             MAX_REF_QP_NUM,
-            sequence_control_set_ptr->qp + 40);
+            sequence_control_set_ptr->static_config.qp + 40);
 
         for (ref_qp_table_index = qp_search_min; ref_qp_table_index < qp_search_max; ref_qp_table_index++)
             high_level_rate_control_ptr->pred_bits_ref_qpPerSw[ref_qp_table_index] = 0;
@@ -2979,8 +2979,8 @@ void init_rc(
         context_ptr->previous_virtual_buffer_level = context_ptr->virtual_buffer_size >> 1;
         context_ptr->vb_fill_threshold1 = (context_ptr->virtual_buffer_size * 6) >> 3;
         context_ptr->vb_fill_threshold2 = (context_ptr->virtual_buffer_size << 3) >> 3;
-        context_ptr->base_layer_frames_avg_qp = sequence_control_set_ptr->qp;
-        context_ptr->base_layer_intra_frames_avg_qp = sequence_control_set_ptr->qp;
+        context_ptr->base_layer_frames_avg_qp = sequence_control_set_ptr->static_config.qp;
+        context_ptr->base_layer_intra_frames_avg_qp = sequence_control_set_ptr->static_config.qp;
     }
     else if (sequence_control_set_ptr->static_config.rate_control_mode == 2) {
 
@@ -2991,8 +2991,8 @@ void init_rc(
         context_ptr->previous_virtual_buffer_level = context_ptr->virtual_buffer_size >> 1;
         context_ptr->vb_fill_threshold1 = context_ptr->virtual_buffer_level_initial_value + (context_ptr->virtual_buffer_size / 4);
         context_ptr->vb_fill_threshold2 = context_ptr->virtual_buffer_level_initial_value + (context_ptr->virtual_buffer_size / 3);
-        context_ptr->base_layer_frames_avg_qp = sequence_control_set_ptr->qp;
-        context_ptr->base_layer_intra_frames_avg_qp = sequence_control_set_ptr->qp;
+        context_ptr->base_layer_frames_avg_qp = sequence_control_set_ptr->static_config.qp;
+        context_ptr->base_layer_intra_frames_avg_qp = sequence_control_set_ptr->static_config.qp;
     }
 
     for (uint32_t base_qp = 0; base_qp < MAX_REF_QP_NUM; base_qp++) {
@@ -3927,7 +3927,7 @@ static void sb_qp_derivation_two_pass(
 
     if (picture_control_set_ptr->parent_pcs_ptr->frm_hdr.delta_q_params.delta_q_present) {
         const int bit_depth = sequence_control_set_ptr->static_config.encoder_bit_depth;
-        int active_worst_quality = quantizer_to_qindex[(uint8_t)sequence_control_set_ptr->qp];
+        int active_worst_quality = quantizer_to_qindex[(uint8_t)sequence_control_set_ptr->static_config.qp];
         int *kf_low_motion_minq;
         int *kf_high_motion_minq;
         ASSIGN_MINQ_TABLE(bit_depth, kf_low_motion_minq);
@@ -4061,7 +4061,7 @@ static void sb_qp_derivation(
     if (picture_control_set_ptr->parent_pcs_ptr->frm_hdr.delta_q_params.delta_q_present) {
         const int bit_depth = sequence_control_set_ptr->static_config.encoder_bit_depth;
         int active_best_quality = 0;
-        int active_worst_quality = quantizer_to_qindex[(uint8_t)sequence_control_set_ptr->qp];
+        int active_worst_quality = quantizer_to_qindex[(uint8_t)sequence_control_set_ptr->static_config.qp];
         int *kf_low_motion_minq;
         int *kf_high_motion_minq;
         ASSIGN_MINQ_TABLE(bit_depth, kf_low_motion_minq);
@@ -4272,7 +4272,7 @@ void* rate_control_kernel(void *input_ptr)
                 frm_hdr->quantization_params.base_q_idx = quantizer_to_qindex[picture_control_set_ptr->picture_qp];
 
                 if (sequence_control_set_ptr->static_config.enable_qp_scaling_flag && picture_control_set_ptr->parent_pcs_ptr->qp_on_the_fly == EB_FALSE) {
-                    const int32_t qindex = quantizer_to_qindex[(uint8_t)sequence_control_set_ptr->qp];
+                    const int32_t qindex = quantizer_to_qindex[(uint8_t)sequence_control_set_ptr->static_config.qp];
                     const double q_val = eb_av1_convert_qindex_to_q(qindex, (AomBitDepth)sequence_control_set_ptr->static_config.encoder_bit_depth);
                     // if there are need enough pictures in the LAD/SlidingWindow, the adaptive QP scaling is not used
 #if TWO_PASS
diff --git a/Source/Lib/Common/Codec/EbSequenceControlSet.c b/Source/Lib/Common/Codec/EbSequenceControlSet.c
index b691a605e9..1ce9c0e1c4 100644
--- a/Source/Lib/Common/Codec/EbSequenceControlSet.c
+++ b/Source/Lib/Common/Codec/EbSequenceControlSet.c
@@ -92,17 +92,13 @@ EbErrorType eb_sequence_control_set_ctor(
     sequence_control_set_ptr->max_intra_size = 32;
     sequence_control_set_ptr->min_intra_size = 8;
     sequence_control_set_ptr->intra4x4_flag = EB_TRUE;
-
-    sequence_control_set_ptr->general_progressive_source_flag = 1;
-    sequence_control_set_ptr->general_interlaced_source_flag = 0;
-    sequence_control_set_ptr->general_frame_only_constraint_flag = 0;
     // Rate Control
     sequence_control_set_ptr->rate_control_mode = 0;
     sequence_control_set_ptr->target_bitrate = 0x1000;
     sequence_control_set_ptr->available_bandwidth = 0x1000;
 
     // Quantization
-    sequence_control_set_ptr->qp = 20;
+    sequence_control_set_ptr->static_config.qp = 20;
     // Initialize SB params
     EB_MALLOC_ARRAY(sequence_control_set_ptr->sb_params_array,
         ((MAX_PICTURE_WIDTH_SIZE + sequence_control_set_ptr->sb_sz - 1) / sequence_control_set_ptr->sb_sz) *
@@ -234,12 +230,9 @@ EbErrorType copy_sequence_control_set(
     dst->max_intra_size = src->max_intra_size;                            writeCount += sizeof(uint32_t);
     dst->min_intra_size = src->min_intra_size;                            writeCount += sizeof(uint32_t);
     dst->intra4x4_flag = src->intra4x4_flag;                            writeCount += sizeof(EbBool);
-    dst->general_progressive_source_flag = src->general_progressive_source_flag;        writeCount += sizeof(uint32_t);
-    dst->general_interlaced_source_flag = src->general_interlaced_source_flag;         writeCount += sizeof(uint32_t);
-    dst->general_frame_only_constraint_flag = src->general_frame_only_constraint_flag;      writeCount += sizeof(uint32_t);
     dst->target_bitrate = src->target_bitrate;                           writeCount += sizeof(uint32_t);
     dst->available_bandwidth = src->available_bandwidth;                      writeCount += sizeof(uint32_t);
-    dst->qp = src->qp;                                      writeCount += sizeof(uint32_t);
+    dst->static_config.qp = src->static_config.qp;                                      writeCount += sizeof(uint32_t);
     dst->film_grain_denoise_strength = src->film_grain_denoise_strength;          writeCount += sizeof(int32_t);
     dst->seq_header.film_grain_params_present = src->seq_header.film_grain_params_present;              writeCount += sizeof(int32_t);
     dst->seq_header.film_grain_params_present = src->seq_header.film_grain_params_present;              writeCount += sizeof(int32_t);
diff --git a/Source/Lib/Common/Codec/EbSequenceControlSet.h b/Source/Lib/Common/Codec/EbSequenceControlSet.h
index 550129ad7f..96dc54970c 100644
--- a/Source/Lib/Common/Codec/EbSequenceControlSet.h
+++ b/Source/Lib/Common/Codec/EbSequenceControlSet.h
@@ -97,18 +97,13 @@ extern "C" {
         uint8_t                                 max_intra_size;
         uint8_t                                 min_intra_size;
         EbBool                                  intra4x4_flag;
-
-        uint32_t                                general_progressive_source_flag;
-        uint32_t                                general_interlaced_source_flag;
-        uint32_t                                general_frame_only_constraint_flag;
-
         // Rate Control
         uint32_t                                rate_control_mode;
         uint32_t                                target_bitrate;
         uint32_t                                available_bandwidth;
 
         // Quantization
-        uint32_t                                qp;
+       /* uint32_t                                qp;*/
         // Picture Analysis
         uint32_t                                picture_analysis_number_of_regions_per_width;
         uint32_t                                picture_analysis_number_of_regions_per_height;
diff --git a/Source/Lib/Encoder/Codec/EbEncHandle.c b/Source/Lib/Encoder/Codec/EbEncHandle.c
index 4fed52f5cc..82b84b9d02 100644
--- a/Source/Lib/Encoder/Codec/EbEncHandle.c
+++ b/Source/Lib/Encoder/Codec/EbEncHandle.c
@@ -908,10 +908,7 @@ EB_API EbErrorType eb_init_encoder(EbComponentType *svt_enc_component)
         inputData.hbd_mode_decision = enc_handle_ptr->sequence_control_set_instance_array[instance_index]->sequence_control_set_ptr->static_config.enable_hbd_mode_decision;
         inputData.film_grain_noise_level = enc_handle_ptr->sequence_control_set_instance_array[0]->sequence_control_set_ptr->static_config.film_grain_denoise_strength;
         inputData.bit_depth = enc_handle_ptr->sequence_control_set_instance_array[instance_index]->sequence_control_set_ptr->static_config.encoder_bit_depth;
-
         inputData.ext_block_flag = (uint8_t)enc_handle_ptr->sequence_control_set_instance_array[instance_index]->sequence_control_set_ptr->static_config.ext_block_flag;
-
-        inputData.in_loop_me_flag = (uint8_t)enc_handle_ptr->sequence_control_set_instance_array[instance_index]->sequence_control_set_ptr->static_config.in_loop_me_flag;
         inputData.mrp_mode = enc_handle_ptr->sequence_control_set_instance_array[instance_index]->sequence_control_set_ptr->mrp_mode;
         inputData.nsq_present = enc_handle_ptr->sequence_control_set_instance_array[instance_index]->sequence_control_set_ptr->nsq_present;
         EB_NEW(
@@ -1946,9 +1943,6 @@ void SetParamBasedOnInput(SequenceControlSet *sequence_control_set_ptr)
 {
     uint16_t subsampling_x = sequence_control_set_ptr->subsampling_x;
     uint16_t subsampling_y = sequence_control_set_ptr->subsampling_y;
-    sequence_control_set_ptr->general_frame_only_constraint_flag = 0;
-    sequence_control_set_ptr->general_progressive_source_flag = 1;
-    sequence_control_set_ptr->general_interlaced_source_flag = 0;
 
     // Update picture width, and picture height
     if (sequence_control_set_ptr->max_input_luma_width % MIN_BLOCK_SIZE) {
@@ -2046,17 +2040,10 @@ void CopyApiFromApp(
 
     sequence_control_set_ptr->max_input_luma_width = pComponentParameterStructure->source_width;
     sequence_control_set_ptr->max_input_luma_height = pComponentParameterStructure->source_height;
-
     sequence_control_set_ptr->frame_rate = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->frame_rate;
-
-    sequence_control_set_ptr->general_frame_only_constraint_flag = 0;
-    sequence_control_set_ptr->general_progressive_source_flag = 1;
-    sequence_control_set_ptr->general_interlaced_source_flag = 0;
-
     // SB Definitions
     sequence_control_set_ptr->static_config.pred_structure = 2; // Hardcoded(Cleanup)
     sequence_control_set_ptr->static_config.enable_qp_scaling_flag = 1;
-
     sequence_control_set_ptr->max_cu_size = (uint8_t)64;
     sequence_control_set_ptr->min_cu_size = (uint8_t)8;
     sequence_control_set_ptr->max_intra_size = (uint8_t)32;
@@ -2140,8 +2127,6 @@ void CopyApiFromApp(
     sequence_control_set_ptr->static_config.hme_level0_total_search_area_width = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->hme_level0_total_search_area_width;
     sequence_control_set_ptr->static_config.hme_level0_total_search_area_height = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->hme_level0_total_search_area_height;
     sequence_control_set_ptr->static_config.ext_block_flag = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->ext_block_flag;
-    sequence_control_set_ptr->static_config.in_loop_me_flag = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->in_loop_me_flag;
-
     for (hmeRegionIndex = 0; hmeRegionIndex < sequence_control_set_ptr->static_config.number_hme_search_region_in_width; ++hmeRegionIndex) {
         sequence_control_set_ptr->static_config.hme_level0_search_area_in_width_array[hmeRegionIndex] = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->hme_level0_search_area_in_width_array[hmeRegionIndex];
         sequence_control_set_ptr->static_config.hme_level1_search_area_in_width_array[hmeRegionIndex] = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->hme_level1_search_area_in_width_array[hmeRegionIndex];
@@ -2229,7 +2214,7 @@ void CopyApiFromApp(
     sequence_control_set_ptr->static_config.active_channel_count = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->active_channel_count;
     sequence_control_set_ptr->static_config.logical_processors = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->logical_processors;
     sequence_control_set_ptr->static_config.target_socket = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->target_socket;
-    sequence_control_set_ptr->qp = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->qp;
+    sequence_control_set_ptr->static_config.qp = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->qp;
     sequence_control_set_ptr->static_config.recon_enabled = ((EbSvtAv1EncConfiguration*)pComponentParameterStructure)->recon_enabled;
 
     // Extract frame rate from Numerator and Denominator if not 0
@@ -2317,12 +2302,6 @@ static EbErrorType VerifySettings(
         SVT_LOG("Error instance %u: ExtBlockFlag must be [0-1]\n", channelNumber + 1);
         return_error = EB_ErrorBadParameter;
     }
-
-    if (config->in_loop_me_flag > 1) {
-        SVT_LOG("Error instance %u: InLoopMeFlag must be [0-1]\n", channelNumber + 1);
-        return_error = EB_ErrorBadParameter;
-    }
-
     if (sequence_control_set_ptr->max_input_luma_width < 64) {
         SVT_LOG("Error instance %u: Source Width must be at least 64\n", channelNumber + 1);
         return_error = EB_ErrorBadParameter;
@@ -2677,7 +2656,6 @@ EbErrorType eb_svt_enc_init_parameter(
     config_ptr->enable_obmc = EB_TRUE;
     config_ptr->enable_rdoq = AUTO_MODE;
     config_ptr->enable_filter_intra = EB_TRUE;
-    config_ptr->in_loop_me_flag = EB_TRUE;
     config_ptr->ext_block_flag = EB_FALSE;
     config_ptr->use_default_me_hme = EB_TRUE;
     config_ptr->enable_hme_flag = EB_TRUE;
@@ -2801,7 +2779,7 @@ static void print_lib_params(
     else if (config->rate_control_mode == 2)
         SVT_LOG("\nSVT [config]: RCMode / TargetBitrate (kbps)/ LookaheadDistance / SceneChange\t\t: Constraint VBR / %d / %d / %d ", (int)config->target_bit_rate/1000, config->look_ahead_distance, config->scene_change_detection);
     else
-        SVT_LOG("\nSVT [config]: BRC Mode / QP  / LookaheadDistance / SceneChange\t\t\t: CQP / %d / %d / %d ", scs->qp, config->look_ahead_distance, config->scene_change_detection);
+        SVT_LOG("\nSVT [config]: BRC Mode / QP  / LookaheadDistance / SceneChange\t\t\t: CQP / %d / %d / %d ", scs->static_config.qp, config->look_ahead_distance, config->scene_change_detection);
 #ifdef DEBUG_BUFFERS
     SVT_LOG("\nSVT [config]: INPUT / OUTPUT \t\t\t\t\t\t\t: %d / %d", scs->input_buffer_fifo_init_count, scs->output_stream_buffer_fifo_init_count);
     SVT_LOG("\nSVT [config]: CPCS / PAREF / REF \t\t\t\t\t\t: %d / %d / %d", scs->picture_control_set_pool_init_count_child, scs->pa_reference_picture_buffer_init_count, scs->reference_picture_buffer_init_count);
diff --git a/Source/Lib/Encoder/Codec/EbResourceCoordinationProcess.c b/Source/Lib/Encoder/Codec/EbResourceCoordinationProcess.c
index 7392fc4144..a2452067c6 100644
--- a/Source/Lib/Encoder/Codec/EbResourceCoordinationProcess.c
+++ b/Source/Lib/Encoder/Codec/EbResourceCoordinationProcess.c
@@ -894,13 +894,13 @@ void* resource_coordination_kernel(void *input_ptr)
                 if (picture_control_set_ptr->input_ptr->qp > MAX_QP_VALUE) {
                     SVT_LOG("SVT [WARNING]: INPUT QP OUTSIDE OF RANGE\n");
                     picture_control_set_ptr->qp_on_the_fly = EB_FALSE;
-                    picture_control_set_ptr->picture_qp = (uint8_t)sequence_control_set_ptr->qp;
+                    picture_control_set_ptr->picture_qp = (uint8_t)sequence_control_set_ptr->static_config.qp;
                 }
                 picture_control_set_ptr->picture_qp = (uint8_t)picture_control_set_ptr->input_ptr->qp;
             }
             else {
                 picture_control_set_ptr->qp_on_the_fly = EB_FALSE;
-                picture_control_set_ptr->picture_qp = (uint8_t)sequence_control_set_ptr->qp;
+                picture_control_set_ptr->picture_qp = (uint8_t)sequence_control_set_ptr->static_config.qp;
             }
 
             // Picture Stats
